<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<body bgcolor="#000000" style="margin:0;">
<table border="0" width="100%" height="100%" align="center" cellpadding="0" cellspacing="0" >
  <tr>
    <td height="223" background="images/headers_bg.jpg">
    <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" style="background:url(images/headers.jpg) no-repeat right bottom;"><tr><td>
    <table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><img name="" src="images/blank.gif" width="50" height="1" alt="" /></td>
        <td><!--Logo-->
<div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div>
<!--End Logo--></td>
        <td><table width="100%" border="0" cellspacing="4" cellpadding="0">
          <tr>
            <td class="company"><!--Company-->
<div align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
<!--End Company--></td>
          </tr>
          <tr>
            <td class="slogan"><!--Slogan-->
<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
<!--End Slogan--></td>
          </tr>
        </table></td>
      </tr>
    </table>
    
    </td></tr></table>

    </td>
  </tr>
  <tr>
    <td height="50" valign="bottom" bgcolor="#071A21" class="line"><table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <!--Menu-->
 <xsl:call-template name="TOP-MENU"/>
<!--End Menu-->
      </tr>
    </table></td>
  </tr>
  <tr>
    <td bgcolor="#071A21" class="line"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td  class="line1"><img name="" src="images/blank.gif" width="1" height="1" alt="" /></td>
        <td width="220"><img name="" src="images/blank.gif" width="1" height="1" alt="" /></td>
      </tr>
      <tr>
        <td class="line1"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img name="" src="images/blank.gif" width="15" height="1" alt="" /></td>
            <td width="100%"><table width="95%" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td><img name="" src="images/blank.gif" width="1" height="20" alt="" /></td>
              </tr>
              <tr>
                <td><table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td class="text-header"><!--Content-->
                          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td><img src="images/txtheader_bullet.gif" width="17" height="17" hspace="8" /></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td><img name="" src="images/blank.gif" width="1" height="10" alt="" /></td>
              </tr>
              <tr>
                <td name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td>
              </tr>
              <tr>
                <td><img name="" src="images/blank.gif" width="1" height="32" alt="" /></td>
              </tr>
            </table></td>
            <td><img name="" src="images/blank.gif" width="15" height="1" alt="" /></td>
          </tr>
        </table></td>
        <td valign="top" width="220"><table width="200" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td><img name="" src="images/blank.gif" width="1" height="32" alt="" /></td>
            </tr>
            <tr>
              <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <!--Sub Menu-->
<xsl:call-template name="SUB-MENU">	<xsl:with-param name="pageID" select="@ID"/></xsl:call-template> 
<!--End Menu-->
              </table></td>
            </tr>
			<tr>
              <td><img name="" src="images/blank.gif" width="1" height="32" alt="" /></td>
            </tr>
        </table></td>
      </tr>
      <tr>
        <td class="line1"></td>
        <td valign="top"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#071A21"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="50" align="left"><table border="0" cellpadding="0" cellspacing="0" align="left">
          <tr>
           <!--bMenu-->
<xsl:call-template name="BOTTOM-MENU"/>
<!--End bMenu-->
          </tr>
        </table></td>
        <td ><img name="" src="images/blank.gif" width="1" height="1" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="104" valign="top" background="images/footer-bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><img src="images/blank.gif" width="1" height="65" alt="" /></td>
      </tr>
      <tr>
        <td><!--Footer-->
<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!--End Footer--></td>
      </tr>
    </table></td>
  </tr>
</table>
</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	
		<xsl:when test="@ID=/LAYOUT/@ID" >
		
		 <tr>
                    <td class="asubmenu"><img src="images/submenu_bullet.gif" hspace="8" width="10" border="0" height="10" /></td>
                    <td><div><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></div></td>
                  </tr>
		</xsl:when>
		
		<xsl:otherwise>	
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			     <tr>
                    <td><a href="{@HREF}" class="submenu"><img src="images/submenu_bullet.gif" hspace="8" width="10"  border="0" height="10" /></a></td>
                    <td><div ><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
                  </tr>
			</xsl:if>
			
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr>
                    <td colspan="2" background="images/submenu_hr.gif"><img src="images/submenu_hr.gif" width="147" hspace="8"  border="0" height="15" /></td>
                  </tr>
	</xsl:if>
	
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}"><img src="images/bmenu_separator.gif" width="6" border="0" height="5" hspace="18" vspace="8" /></a></td>
            <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td><img src="images/bmenu_separator.gif" width="6" border="0" height="5" hspace="18" vspace="8" /></td>
            <td><span class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}"><img src="images/bmenu_separator.gif" width="6" border="0" height="5" hspace="18" vspace="8" /></a></td>
            <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td><img name="" src="images/blank.gif" width="1" height="1" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
