<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no" />
<xsl:strip-space elements="*" />
<xsl:include href="buttons.xsl" />
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID" />

<html>
<head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
	<xsl:apply-templates select="META-TAGS" />
	<link href="css/styles.css" rel="stylesheet" type="text/css" />
</head>
<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background:url(images/bg.jpg) repeat-x;background-color: #373737;">
    <tr>
        <td style="padding-left: 45px;" valign="top">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
<tr>
	<td height="100%">
	    <table width="100%" height="100%" border="0" align="right" cellpadding="0" cellspacing="0">
			<tr>
			<!-- LOGO -->
				<td width="235px" height="66" align="left" valign="middle">
					<table width="235px" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td style="padding-right:8pt;" align="left">
							<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
						</td>
						<td width="100%" align="left" class="company">
									<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
						</td>
					</tr>
					</table>
			<!-- END LOGO -->
			  </td>
				<td width="100%" height="66" align="left">
				<!-- MENU -->
					<table height="50" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<xsl:call-template name="TOP-MENU" />
					</tr>
					</table>
				<!-- END MENU -->
			  </td>
			</tr>
			<tr>
				<td colspan="9" bgcolor="#666666">
					<table width="100%" border="0" cellspacing="1" cellpadding="0">
					<tr>
						<td width="733" height="226" valign="bottom" background="images/headers.jpg">
							<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td width="65%"></td>
								<td width="35%">
									<div align="center" class="slogan">
										<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
									</div>
								</td>
							</tr>
							<tr>
								<td>
									<div style="width:1px; height:1px;"><span></span></div>
								</td>
								<td background="images/2.gif">
									<div align="center">
										<img src="images/1.gif" width="136" height="12" />
									</div>
								</td>
							</tr>
							<tr>
								<td></td>
								<td>
									<div style="width:1px; height:32px;"><span></span></div>
								</td>
							</tr>
							</table>
						</td>
					</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td colspan="9" width="100%" height="100%">
					<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td width="235" align="center" valign="top">
						<!-- SUBMENU-->
							<table width="148" border="0" align="center" cellpadding="0" cellspacing="0">
							<tr>
								<td height="35" colspan="2"></td>
							</tr>
								<xsl:call-template name="SUB-MENU">
								<xsl:with-param name="pageID" select="@ID" />
								</xsl:call-template>
							<tr>
								<td height="35" colspan="2"></td>
							</tr>
							</table>
						<!-- END SUBMENU-->
						</td>
						<td width="1" bgcolor="#898B8E">
							<div style="width:1px; background-color:#898B8E;">
								<span></span>
							</div>
						</td>
						<td valign="top" style="padding:30px;" height="100%">
						<table border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td><span class="text-header"> <xsl:value-of select="@TITLE" disable-output-escaping="yes" /> </span> </td>
                            <td style="padding-left:5px;"><img src="images/txtheader_bullet.gif" /> </td>
                          </tr>
                        </table>
						  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td height="100%" align="left" valign="top" class="pageContent" style="padding-top:20px;" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT" /> </td>
                            </tr>
                          </table></td>
					</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td colspan="9">
				<!-- BOTTOM MENU -->
					<table width="100%" border="0" cellspacing="0" cellpadding="0" background="images/foot_bg.gif">
					<tr>
						<td>
							<img src="images/foot_bg1.gif" />
						</td>
						<td align="center" width="100%">
							<table border="0" cellspacing="0" cellpadding="0">
							<tr>
							<xsl:call-template name="BOTTOM-MENU" />
							</tr>
							</table>
						</td>
					  </tr>
					</table>
				<!-- END BOTTOM MENU -->
				</td>
			</tr>
		  </table>
	</td>
</tr>
<tr>
<!-- FOOTER -->
	<td height="50">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td></td>
			<td>
				<div align="center" class="footer">
					<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
				</div>
			</td>
			<td></td>
		</tr>
		</table>
	</td>
<!-- END FOOTER -->
</tr>
</table>
        </td>
    </tr>
</table>
</body>
</html>
</xsl:template>
<xsl:template name="TOP-MENU">
	<xsl:apply-templates select="MENU" mode="top" />
</xsl:template>
<xsl:template name="SUB-MENU">
	<xsl:param name="pageID" />
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID">
			<tr>
				<td>
					<img src="images/submenu_bullet_active.gif" border="0" alt="" />
				</td>
				<td class="asubmenu" style="padding-left: 10px; width: 100%;">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td>
						<a href="{@HREF}">
							<img src="images/submenu_bullet.gif" border="0" alt="" />
						</a>
					</td>
					<td style="padding-left: 10px; width: 100%;">
						<a href="{@HREF}" class="submenu">
							<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
						</a>
					</td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr>
			<td colspan="2" height="18" valign="middle" align="right">
				<img src="images/submenu_hr.gif" />
			</td>
		</tr>
	</xsl:if>
</xsl:template>
<xsl:template name="BOTTOM-MENU">
	<xsl:apply-templates select="MENU" mode="bottom" />
</xsl:template>
<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
</xsl:template>
<xsl:template match="MENU-ITEM" mode="bottom">
	<xsl:choose>
		<!-- when visited inside-->
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td>
			<a href="{@HREF}" class="bmenu">
				<img src="images/bmenu_separator.gif" border="0" alt="" style="margin: 0px 3px 0px 18px;" />
			</a>
		</td>
			<td>
				<a href="{@HREF}" class="abmenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</a>
			</td>
		</xsl:when>
		<!-- when active-->
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td width="5"></td>
		<td>
			<span class="bmenu">
				<img src="images/bmenu_separator.gif" border="0" alt="" style="margin: 0px 3px 0px 18px;" />
			</span>
		</td>
		<td width="5"></td>
			<td>
				<span class="abmenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</span>
			</td>
		</xsl:when>
		<xsl:otherwise>
				<td width="5"></td>
		<td>
			<a href="{@HREF}" class="bmenu">
				<img src="images/bmenu_separator.gif" border="0" alt="" style="margin: 0px 3px 0px 18px;" />
			</a>
		</td>
		<td width="5"></td>
			<td>
				<a href="{@HREF}" class="bmenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</a>
			</td>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags" />
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content">
			<xsl:value-of select="." disable-output-escaping="yes"/>
		</xsl:attribute>
	</meta>
</xsl:template>
<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags" />
</xsl:template>
</xsl:stylesheet>
