<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>	
  <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" bgcolor="#313431">	
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#313431">
    <tr>
      <td width="30" height="45"></td>
      <td width="212" rowspan="3" align="center" valign="bottom" bgcolor="#FFFFFF">
<!-- LOGO -->
		<table cellpadding="0" cellspacing="0" align="center">
			<tr><td align="center" style="padding: 10px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
			<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>                </td>
			</tr>						
		</table>
<!-- END LOGO -->  
	  </td>
      <td width="100%" align="left"><table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="30"></td>
         <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td background="images/01_02.jpg"></td>
      <td width="100%" height="48" align="center" valign="top" background="images/01_02.jpg">
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
          <tr>
           <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
	  </td>
    </tr>
    <tr>
      <td><img src="images/01_04.jpg" width="30" height="27" alt="" /></td>
      <td width="100%" height="27" align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="27" style="background-image: url(images/01_06.jpg);
	background-repeat: no-repeat;
	background-position: left;"></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td><img src="images/01_07.jpg" width="30" height="152" alt="" /></td>
      <td><img src="images/01_08.jpg" width="212" height="152" alt="" /></td>
      <td width="100%" align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="152" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left;"></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td valign="top" style="background-image: url(images/01_15.jpg);
	background-repeat: repeat-y;
	background-position: right;"><img src="images/01_10.jpg" width="30" height="30" alt="" /></td>
      <td height="200" align="center" valign="top" bgcolor="#FFFFFF">  
<!-- SUBMENU -->
	  <table width="170" border="0" cellspacing="0" cellpadding="0">
        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
      </table>
<!-- END SUBMENU -->        
      </td>
      <td width="100%" height="100%" align="left" valign="top" style="background-image: url(images/01_16.jpg);
	background-repeat: repeat-y;
	background-position: left; "><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="30" background="images/01_12bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="30" style="background-image: url(images/01_12.jpg);
	background-repeat: no-repeat;
	background-position: left;"></td>
            </tr>
          </table></td>
        </tr>
        <tr>
          <td width="100%" height="100%" valign="top" style="padding: 25px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/003.gif" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
		  
		  </td>
        </tr>
      </table>	</td>
    </tr>
    <tr align="center">
      <td width="30" height="47"  background="images/01_18.jpg"></td>
      <td height="47"  background="images/01_18.jpg"></td>
      <td height="47" align="left"  background="images/01_18.jpg">
<!-- BOOTTOM MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
      </table>
<!-- END BOOTTOM MENU -->  
	  </td>
    </tr>
    <tr>
      <td height="20" colspan="3"></td>
    </tr>
    <tr>
      <td height="20" colspan="3">
	   <div style="width:0px; height:5px;"><span></span></div>
	<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER -->
<div style="width:0px; height:10px;"><span></span></div> 
	  </td>
    </tr>
  </table>
</BODY>
</HTML>
</xsl:template>
<!-- MENU -->
<xsl:template name="TOP-MENU">
	<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		 <tr>
          <td width="10" height="24"><img src="images/004.gif" width="4" height="6" /></td>
          <td  align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	    <tr>
          <td width="10" height="24"><img src="images/004.gif" width="4" height="6" /></td>
          <td  align="left" ><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
            <tr>
              <td colspan="2" height="10"><img src="images/line.gif" width="155" height="1" /></td>
            </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		 <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
		<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		 <xsl:if test="position()!=last()">
		 <td width="30" align="center"><img src="images/002.gif" width="3" height="8" /></td>
  		 </xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
    </xsl:template>
	     	
</xsl:stylesheet>
