<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<body topmargin="0px" leftmargin="0" rightmargin="0"  background="images/bg.jpg">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="359px" height="99px" valign="top"><img src="images/topbg.jpg" width="359" height="99"/></td>
        <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="25px" bgcolor="#FFFFFF"><div style="height:25px; "></div></td>
          </tr>
          <tr>
            <td height="74px" align="right" valign="top" bgcolor="#FFFFFF" style="padding-right:61px;"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
			 <xsl:call-template name="TOP-MENU"/> 
			 <td><div style="width:1px; "></div></td>
			    </tr>
            </table></td> 
          </tr>

        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="359" height="266" valign="top"><img src="images/headers.jpg" width="359" height="266"/></td>
        <td valign="top" background="images/headersbg2.jpg"><table width="100%" height="266"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td align="right" style="background:url(images/headersbg1.jpg) no-repeat;padding-right:80px;padding-bottom:200px;"><table width="300" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="31" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                    <td width="269"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td valign="bottom" class="company" nowrap="true"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                        </tr>
                        <tr>
                          <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></td>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top" background="images/bg.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="315px" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="27px"><div style="height:27px; width:315px; "></div></td>
          </tr>
          <tr>
            <td align="center" valign="top"><table width="80%"   border="0" cellspacing="0" cellpadding="0">
			<!--
              <tr>
                <td align="center" height="30px"><a href="#" class="asubmenu">About me </a></td>
              </tr>
              <tr>
                <td align="center"><img src="images/split1.jpg" width="155" height="7"/></td>
              </tr>
              <tr>
                <td height="30" align="center"><span class="submenu">My family </span></td>
              </tr>  -->
			   <xsl:call-template name="SUB-MENU">
               			      <xsl:with-param name="pageID" select="@ID"/>                            </xsl:call-template>  
            </table></td>
          </tr>
          <tr>
            <td align="center" height="80px" class="footer"><div style="width:280px; "><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
          </tr>
        </table></td>
        <td height="100%" valign="top" style="padding:0px 94px 89px 10px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
	  <td width="100%" height="100%" style="padding-top:10px;" class="pageContent" name="SB_stretch" background="images/bg.jpg"><xsl:apply-templates select="PAGE-CONTENT"/></td>


          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table></body>
</html>


</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>


<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		 <tr>
                <td height="30" align="center"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
              </tr> 
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		    <tr>
                <td align="center" height="30px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>	

			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		       <tr>
                <td align="center"><img src="images/split1.jpg" width="155" height="7"/></td>
              </tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
