<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0"  background="images/bg.gif">
<table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0" background="images/bg.gif">
  <tr>
    <td width="60"><img src="images/001.gif" width="60" height="1"/></td>
    <td height="92" width="100%" valign="top" style="padding-top:36px;">
	<!-- MENU -->
	<table height="48"  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td width="20"></td>
        <xsl:call-template name="TOP-MENU"/>
        <td width="20"></td>
      </tr>
    </table>
	<!-- END MENU --></td>
    <td width="60"><img src="images/001.gif" width="60" height="1"/></td>
  </tr>
  <tr>
    <td></td>
    <td height="215" width="100%" background="images/002.gif"><table width="100%" height="215"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="100%" height="215" background="images/004.gif" style="background-repeat:no-repeat;background-position:bottom left;padding-left:50px;">
		 <!-- LOGO -->
		<table width="300"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="25"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td></td>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table> <!-- END LOGO --></td>
        <td width="341" height="215" valign="bottom"><div align="right"><img src="images/header1.gif" width="340" height="215"/></div></td>
      </tr>
    </table></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td height="100%" valign="top" background="images/003.gif"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/009.gif" style="padding:40px;background-repeat:no-repeat;background-position:right bottom;">
      <tr>
        <td width="236" valign="top" style="padding-top:40px;padding-bottom:40px;">
            <table width="236" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><!-- SUBMENU --><table width="163" border="0" align="center" cellpadding="0" cellspacing="0">
                    <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                  </table>
                    <!-- END SUBMENU --></td>
              </tr>
          </table></td>
        <td valign="top" ><table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
            <tr>
              <td valign="top" ><table  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
                  </tr>
                </table>
                  <br/>
            
			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
	<td valign="top" class="pageContent" name="SB_stretch" width="100%" height="100%">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
			
			</td>
            </tr>
        </table>
</td>
      </tr>
    </table></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td height="78" width="100%"><table width="100%" height="24"  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td><!-- FOOTER --><table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table><!-- END FOOTER --></td>
      </tr>
    </table></td>
    <td></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td width="19"><img src="images/006.gif" width="19" height="7"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td ><div align="left"><a href='{@HREF}' class="smenua">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a> </div></td>
<td width="19"><img src="images/006.gif" width="19" height="7"/></td>
</tr>
					
 
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 <tr>
<td colspan="2"><img src="images/005.gif" width="163" height="17"/></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


<td><div align="center"><a href='{@HREF}' class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
 <td class="tmenu"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>


           </xsl:when>
           <xsl:otherwise>

<td><div align="center"><a href='{@HREF}' class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
