<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
    <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" bgcolor="#FFFFFF">
      <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" style="background-color: #FFFFFF; ">
        <!-- MENU -->
        <tr>
          <td height="91" align="center" width="100%" style="background-image: url('images/Source-00_01.gif');">
            <table height="40"  border="0">
              <tr>
                <!-- MENU -->
                <!--CALL TOP-MENU -->
                <xsl:call-template name="TOP-MENU"/>

                <!-- END MENU -->
              </tr>
            </table>                                       
        </td>
        </tr>
        <!-- END MENU -->
        <tr>
          <td height="161">
            <!-- HEADER -->
            <table cellpadding="0" cellspacing="0" border="0" width="100%" height="161"  style="background-image: url('images/Source-00_03.gif');">
              <tr>
                <td width="508" height="161" style="background-image: url('images/header.jpg');background-position: top left; background-repeat: no-repeat;">
                <img src="images/header.jpg" width="508" height="161"/>
				</td>
                <td height="161" align="left" valign="middle" style="padding-left:70px ">
                  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="27px" rowspan="2" valign="top"> <a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                      <td width="92%"  class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                    </tr>
                    <tr>
                      <td class="slogan"> <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                    </tr>
                  </table></td>
              </tr>
            </table>
            <!-- END HEADER -->
          </td>
        </tr>
        <!-- SUBMENU AND CONTENT TOP -->
        <tr>
          <td width="100%" height="100%" align="left" valign="bottom" style="background-image: url('images/Source-00_04.gif');background-repeat:repeat-x;">
           

            <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" >
              <tr>
                <td width="100%" valign="top">
                  <table cellpadding="0" cellspacing="0" width="100%" align="center">
                    <tr>
                      <td>
                      <div style="width:0px; height:15px;">
                        <span></span>
                      </div>
                        <!-- TEXT HEADER -->
                        <table cellpadding="0" cellspacing="0" border="0" class="pageContent" style="width: 100%">

                          <tr>
                            <td class="text-header" style="padding-left: 60px;">
                              <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                            </td>
                            <td style="padding-left: 60px;"></td>
                          </tr>
                          <tr>
                            <td colspan="2"  style="padding-left: 60px;" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                          </tr>
                        </table>
                        <!-- END TEXT HEADER -->
                    </td>
                   </tr>
                  </table>
                </td>
                <td valign="top">
				<div style="width:300px; padding-left:40px; ">
                  <table cellpadding="0" cellspacing="0" width="200" align="center">

                        <!-- CALL SUB-MENU-->
                        <xsl:call-template name="SUB-MENU">
                          <xsl:with-param name="pageID" select="@ID"/>
                        </xsl:call-template>


                  </table>
				  </div>
                </td>
              </tr>
            </table>

          </td>
        </tr>
        <!-- END SUBMENU AND CONTENT TOP -->
        <tr>
          <td width="100%" height="77" style="background-image: url('images/Source-00_06.gif');">
            <!-- FOOTER -->
            <div align="center">
              <table width="100%" border="0">
                <tr>

                  <td align="left">
                    <!-- BOTTOM MENU -->
                    <table cellpadding="0" cellspacing="0" align="center">
                      <tr>
                        <td>
                          <!-- BOTTOM MENU -->

                          <xsl:call-template name="BOTTOM-MENU"/>

                          <!-- END BOTTOM MENU -->
                        </td>
                        <td class="footer" width="200"  align="right">
                          <!-- FOOTER -->
                          <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                          <!-- END FOOTER -->
                        </td>
                      </tr>
                    </table>
                    <!-- END BOOTTOM MENU -->
                  </td>
                </tr>
              </table>
            </div>
            <!-- END FOOTER -->
          </td>

        </tr>


      </TABLE>
    </BODY>
  </HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
  <xsl:apply-templates select="MENU" mode="top"/>
</xsl:template>


<xsl:template name="SUB-MENU">
  <xsl:param name="pageID"/>
  <xsl:choose>
    <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
      <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
    </xsl:when>
    <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
      <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
      <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
    </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
  <xsl:choose>
    <xsl:when test="@ID=/LAYOUT/@ID" >
      <tr>
        <td class="asubmenu" style="width: 150px; height: 30px; padding-left: 8px">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
        <td width="50px" align="left" style="padding-left: 5px" class="submenu">
          <img src="images/speater.gif"/>
        </td>
      </tr>
    </xsl:when>
    <xsl:otherwise>
      <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        <tr>
          <td style="width: 150px; height: 30px; padding-left: 8px">
            <a href="{@HREF}" class="submenu">
              <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
            </a>
          </td>
          <td width="50px" align="left" style="padding-left: 5px" class="submenu">
            <img src="images/speaters.gif"/>
        </td>			
        </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" heith="1">
      <hr size="1" color="#f5ecf1"/>
    </td>
  </tr>
</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td width="100" align="center" >
        <a href="{@HREF}" class="abmenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </a>
      </td>
    </xsl:when>
    <!-- when active-->
    <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
      <td width="100" align="center"  class="abmenu">
        <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
      </td>
    </xsl:when>
    <xsl:otherwise>
      <td width="100" align="center" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
        <td class="menu">|</td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
