<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no" />
	<xsl:strip-space elements="*" />
	<xsl:include href="buttons.xsl" />
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID" />
		<html>
			<head>
				<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
				<xsl:apply-templates select="META-TAGS" />
				<link href="css/styles.css" rel="stylesheet" type="text/css" />
			</head>
			<body style="margin:0; background:url(images/lbg.gif);">
				<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td style="background:url(images/lbg.gif);">
							<img src="" width="47" height="1" />
						</td>
						<td width="100%" height="100%">
							<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0">
								<tr>
									<td background="images/menu_bg1.gif">
										<table width="100%" border="0" cellpadding="0" cellspacing="0" background="images/menu_bg.gif"
											style=" background-repeat:no-repeat;">
											<tr>
												<td height="50">
													<table border="0" cellspacing="0" cellpadding="0">
														<tr>
															<td width="42" height="50">
																<div style="width:40px; height:0px;">
																	<span></span>
																</div>
														  </td>
															<td align="left"> <!-- MENU -->
																<table border="0" align="center" cellpadding="0" cellspacing="0">
																	<tr>
																		<xsl:call-template name="TOP-MENU" />
																	</tr>
																</table>
																<!-- END MENU -->
															</td>
															<td width="40"></td>
														</tr>
													</table>
												</td>
												<td width="288" align="left" valign="top">
													<div id="Layer1" style="position:absolute; width:200px; height:115px; z-index:1;">
														<img src="images/header.gif" />
													</div>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td>
										<table width="100%" border="0" cellpadding="0" cellspacing="0" background="images/logo_bg.png">
											<tr>
												<td height="166" align="left" background="images/pic_bg.gif" style="background-repeat:no-repeat;">
													<!-- LOGO -->
													<table border="0" cellpadding="0" cellspacing="0">
														<tr>
															<td width="40"></td>
															<td style="padding-right:10px;">
																<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" /></a>
															</td>
															<td align="left" class="company">
																<table width="100%" border="0" cellspacing="0" cellpadding="0">
																	<tr>
																		<td align="left" valign="bottom" class="company">
																			<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
																		</td>
																	</tr>
																	<tr>
																		<td align="left" valign="top" class="slogan">
																			<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
														<tr>
														  <td height="30"></td>
														  <td height="30" style="padding-right:10px;"></td>
														  <td height="30" align="left" class="company"></td>
													  </tr>
													</table>
													<!-- END LOGO -->
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td height="100%">
										<table border="0" cellspacing="0" cellpadding="0" height="100%" width="100%">
											<tr>
												<td bgcolor="#FFFFFF">
													<img src="" width="17" height="1" />
												</td>
												<td valign="top" background="images/submenu_bg1.gif">
													<!-- SUBMENU -->
													<table height="100%" border="0" cellspacing="0" cellpadding="0" background="images/submenu_bgt.png"
														style="background-repeat:no-repeat;">
														<tr>
															<td COLSPAN="2">
																<img src="" width="180" height="1" />
															</td>
														</tr>												
														<tr>
															<td>
																<img src="" width="1" height="130" />
															</td>
															<td align="left" valign="top" height="100%">
																<!-- SUBMENU -->
																<table width="123" cellpadding="0" cellspacing="0" align="center">
																	<xsl:call-template name="SUB-MENU">
																		<xsl:with-param name="pageID" select="@ID" />
																	</xsl:call-template>
															  </table>
																<!-- END SUBMENU -->
															</td>
														</tr>
														<tr>
															<td height="100%" valign="bottom" COLSPAN="2">
																<img src="images/submenu_bgb.png" />
															</td>
														</tr>
													</table>
													<!-- END SUBMENU -->
												</td>
												<td width="100%" valign="top" bgcolor="#FFFFFF" style="padding:57px;">
													<!-- CONTENT -->
													<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
														<tr>
															<td width="100%">
																<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
																	<tr>
																		<td>
																			<span class="text-header">
																				<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
																			</span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
														<tr>
															<td width="100%">
																<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
																	<tr>
																		<td valign="top" class="pageContent" name="SB_stretch">
																			<xsl:apply-templates select="PAGE-CONTENT" />
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<!-- END CONTENT -->
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td height="109">
										<table height="109" width="100%" border="0" cellspacing="0" cellpadding="0" background="images/bmenu_bg2.jpg">
											<tr>
												<td background="images/bmenu_bg.gif" style="background-repeat:no-repeat;" align="center">
													<!-- BMENU -->
													<table cellpadding="0" cellspacing="0">
														<tr>
															<xsl:call-template name="BOTTOM-MENU" />
														</tr>
													</table>
													<!-- END BMENU -->
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
						<td style="background:url(images/lbg.gif);">
							<img src="" width="47" height="1" />
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top" />
	</xsl:template>
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID" />
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="sub">
		<xsl:choose>
			<xsl:when test="@ID=/LAYOUT/@ID">
				<tr>
					<td class="asubmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</td>
					<td align="right" style=" padding-left:3px;">
						<img src="images/submenu_bullet_active.gif" border="0" alt="" />
					</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>
						<td>
							<a href="{@HREF}" class="submenu">
								<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
							</a>
						</td>
						<td align="right" style=" padding-left:3px;">
							<a href="{@HREF}">
								<img src="images/submenu_bullet.gif" border="0" alt="" />
							</a>
						</td>
					</tr>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<tr>
				<td height="20" colspan="2">
					<div style="background:url(images/submenu_hr.gif) repeat-x; width:130px; height:1px;">
						<span></span>
					</div>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="bottom">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td>
					<a href="{@HREF}" class="abmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td class="abmenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<a href="{@HREF}" class="bmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td>
				<img src="images/bmenu_separator.gif" alt="" style="margin: 0px 12px 0px 12px;" />
			</td>
			<td width="5"></td>
		</xsl:if>
	</xsl:template>
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content">
				<xsl:value-of select="." disable-output-escaping="yes"/>
			</xsl:attribute>
		</meta>
	</xsl:template>
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
</xsl:stylesheet>